Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 612658 - net-misc/cfengine-3.6.2 : evalfunction.c:3191:64: error: implicit declaration of function ‘minor’ [-Werror=implicit-function-declaration]
Summary: net-misc/cfengine-3.6.2 : evalfunction.c:3191:64: error: implicit declaration...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Christian Ruppert (idl0r)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glibc-sysmacros glibc-2.26-stable
  Show dependency tree
 
Reported: 2017-03-14 21:17 UTC by Toralf Förster
Modified: 2018-05-04 18:01 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,5.96 KB, text/plain)
2017-03-14 21:17 UTC, Toralf Förster
Details
config.log.tbz2 (config.log.tbz2,35.37 KB, application/x-bzip)
2017-03-14 21:17 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,508.99 KB, text/plain)
2017-03-14 21:17 UTC, Toralf Förster
Details
environment (environment,117.00 KB, text/plain)
2017-03-14 21:17 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,33.66 KB, application/x-bzip)
2017-03-14 21:17 UTC, Toralf Förster
Details
net-misc:cfengine-3.6.2:20170314-133739.log (net-misc:cfengine-3.6.2:20170314-133739.log,52.43 KB, text/plain)
2017-03-14 21:17 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,36.77 KB, application/x-bzip)
2017-03-14 21:17 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-03-14 21:17:17 UTC
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../libutils -I./../libutils -I./../libcfnet -I./../libenv -std=gnu99 -pthread -O2 -pipe -march=native -Wall -g -Wall -Wno-pointer-sign -Werror=implicit-function-declaration -Wunused-parameter -O2 -DNDEBUG -O2 -pipe -march=native -Wall -c evalfunction.c  -fPIC -DPIC -o .libs/evalfunction.o
evalfunction.c: In function ‘FnCallFileStatDetails’:
evalfunction.c:3191:64: error: implicit declaration of function ‘minor’ [-Werror=implicit-function-declaration]
             snprintf(buffer, CF_MAXVARSIZE, "%jd", (uintmax_t) minor(statbuf.st
                                                                ^

  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named desktop-abi32+64_20170228-084815) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-5.4.0 *
llvm-config:
3.9.1
Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python3.6 (fallback)
  [3]   python2.7 (fallback)
  [4]   pypy (fallback)
  [5]   jython2.7 (fallback)
Available Ruby profiles:
  [1]   ruby21 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
1)	IcedTea JDK 7.2.6.9 [icedtea-7]
*)	IcedTea JDK 7.2.6.9 [icedtea-bin-7]
3)	IcedTea JDK 3.3.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-7 
  [2]   icedtea-bin-7  system-vm
  [3]   icedtea-bin-8
Comment 1 Toralf Förster gentoo-dev 2017-03-14 21:17:23 UTC
Created attachment 467068 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-03-14 21:17:27 UTC
Created attachment 467070 [details]
config.log.tbz2
Comment 3 Toralf Förster gentoo-dev 2017-03-14 21:17:31 UTC
Created attachment 467072 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2017-03-14 21:17:34 UTC
Created attachment 467074 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2017-03-14 21:17:39 UTC
Created attachment 467076 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-03-14 21:17:43 UTC
Created attachment 467078 [details]
net-misc:cfengine-3.6.2:20170314-133739.log
Comment 7 Toralf Förster gentoo-dev 2017-03-14 21:17:46 UTC
Created attachment 467080 [details]
temp.tbz2
Comment 8 Andreas K. Hüttel gentoo-dev 2017-10-20 20:28:12 UTC
Ping - this is now blocking glibc-2.25 stabilization.
Comment 9 Larry the Git Cow gentoo-dev 2017-10-20 22:23:05 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d83856cd755550eaa3c6cec3902b0e301dda1f39

commit d83856cd755550eaa3c6cec3902b0e301dda1f39
Author:     Robin H. Johnson <robbat2@gentoo.org>
AuthorDate: 2017-10-20 22:18:29 +0000
Commit:     Robin H. Johnson <robbat2@gentoo.org>
CommitDate: 2017-10-20 22:22:52 +0000

    net-misc/cfengine: compile-fix for glibc-2.25
    
    Closes: https://bugs.gentoo.org/612658
    Package-Manager: Portage-2.3.8, Repoman-2.3.3
    Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>

 net-misc/cfengine/cfengine-3.6.2.ebuild               |  1 +
 .../cfengine/files/cfengine-3.6.2-sysmacros.patch     | 19 +++++++++++++++++++
 2 files changed, 20 insertions(+)
Comment 10 Andreas K. Hüttel gentoo-dev 2018-04-27 23:11:41 UTC
(In reply to Larry the Git Cow from comment #9)
> The bug has been closed via the following commit(s):
> 
> https://gitweb.gentoo.org/repo/gentoo.git/commit/
> ?id=d83856cd755550eaa3c6cec3902b0e301dda1f39
> 
> commit d83856cd755550eaa3c6cec3902b0e301dda1f39
> Author:     Robin H. Johnson <robbat2@gentoo.org>
> AuthorDate: 2017-10-20 22:18:29 +0000
> Commit:     Robin H. Johnson <robbat2@gentoo.org>
> CommitDate: 2017-10-20 22:22:52 +0000
> 
>     net-misc/cfengine: compile-fix for glibc-2.25
>     
>     Closes: https://bugs.gentoo.org/612658
>     Package-Manager: Portage-2.3.8, Repoman-2.3.3
>     Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
> 
>  net-misc/cfengine/cfengine-3.6.2.ebuild               |  1 +
>  .../cfengine/files/cfengine-3.6.2-sysmacros.patch     | 19
> +++++++++++++++++++
>  2 files changed, 20 insertions(+)

Please either backport the fix or stabilize 3.6.2, your call.
Comment 11 Andreas K. Hüttel gentoo-dev 2018-05-04 18:01:56 UTC
(In reply to Andreas K. Hüttel from comment #10)

> 
> Please either backport the fix or stabilize 3.6.2, your call.

Stable builds fine; sorry for the spam.